.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;

    input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:checked + span {

            &:before {
                background: #446AD2;
            }

            &::after {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    span {
        color: $black;
        cursor: pointer;
        font-size: rem(12);
        line-height: rem(20);
        position: relative;
        display: inline-block;
        padding-left: rem(24);

        &:before {
            top: 2px;
            left: 0;
            z-index: 1;
            content: '';
            width: 16px;
            height: 16px;
            display: block;
            position: absolute;
            border-radius: 4px;
            border: 1px solid #446AD2;
        }

        &::after {
            top: 5px;
            left: 5px;
            z-index: 5;
            width: 6px;
            height: 8px;
            content: '';
            position: absolute;
            border-right: 2px solid $white;
            border-bottom: 2px solid $white;
            transform: rotate(40deg);
        }
    }

    @include media-breakpoint-up(md) {

        span {
            font-size: rem(14);
            line-height: rem(20);

            &:before {
                top: 0;
                width: 20px;
                height: 20px;
            }

            &::after {
                top: 5px;
                left: 7px;
                width: 6px;
                height: 9px;
            }
        }
    }
}
